Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Modules
Here is a list of all modules:
[detail level 1 2]

▼Libraries | Core support libraries shared across all Exponential Basic modules
File Library (ezfile) | File and filesystem utility functions
Internationalisation Library (ezi18n) | Translation, locale and character-set support
Session Library (ezsession) | Session management and storage abstraction
Utilities Library (ezutils) | General-purpose helper classes and convenience utilities
▼Kernel Modules | The Exponential Basic 2.x kernel modules
Core Kernel Classes | Shared kernel data structures, base classes and framework utilities
About | Site identity and "about this site" pages
Advertisements | Banner and advertisement management
Address Book | Contact address management and directory services
Articles | Article authoring, publishing, versioning and listing
Bug Tracker | Issue and bug tracking within the CMS
Bulk Mail | Mass email / newsletter composition and sending
Calendar | Event calendar management and display
Contact Forms | Public contact forms and enquiry handling
Error Pages | Custom error page rendering (404, 403, 500, etc.)
Example Module | Reference / tutorial module demonstrating the extension API
File Manager | File upload, storage and download management
Forms | Configurable web-form builder and submission handling
Forums | Threaded discussion boards and topic management
Group Event Calendar | Group-scoped event and scheduling support
Image Catalogue | Image library, galleries and asset cataloguing
Link Directory | Managed link directory with categories and ranking
Mail | Internal site mail between registered users
Media Catalogue | Audio/video and rich-media asset management
Messages | System-level and user-level message notifications
Module Registry | Core module discovery, registration and request dispatch
News Feed / RSS | RSS/Atom news feed aggregation and publishing
Polls | Online voting polls and result display
Quizzes | Quiz creation, management and scoring
Search | Full-text site search indexing and retrieval
Sessions (Kernel) | Kernel-level session handling and user session persistence
Site Manager | Multi-site configuration, switching and management
Statistics | Visitor statistics, page-view tracking and reporting
Surveys | Survey creation, distribution and result analysis
System Information | Runtime system diagnostics and environment reporting
Tips / Tip-of-the-day | Rotating tips or helpful hints displayed to site visitors
To-Do Lists | Personal and shared to-do item tracking
Trade / E-Commerce | Product catalogues, shopping cart and order management
URL Translator | Human-readable URL aliasing and translation
Users & Authentication | User registration, authentication, profiles and permissions
XML / Content Types | XML data handling and structured content-type definitions
XML-RPC | XML-RPC server exposing kernel functionality to remote clients
Utility classes |
▼Internationalization |
Translation |
.php @{ |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.